Search accross resource, relationship or object collections in the registry
Search across resource, relationship or object collections in the registry.
This endpoint suppport both regular and federated search depending on the number of collection keys specified in the path.
If the search is done on one multiple collections are specified, it must use federated search paths. This means that operators expect the collection type and collection key to be specified in the path.
For example, resources.<collectionKey>.<propertyKey>.
If the search is done on a single collection, both regular and federated search paths are supported.
Documentation Index
Fetch the complete documentation index at: https://docs.clinia.com/llms.txt
Use this file to discover all available pages before exploring further.
Authorizations
Path Parameters
The source from which to execute the query.
The collections that should be included in the search. Specifying multiple collections is done by separating them with a comma.
Body
Use dot-notation paths (e.g., name, meta.updatedAt, address.city).
To include properties from relationships or adjacent records, request them via traversedProperties and reference with @ (e.g., @worksAt.*, @worksAt.@clinic.name).
Some endpoints require federated paths such as resources.<collectionKey>.<propertyKey> or relationships.<collectionKey>.<propertyKey>.
A semantic query is a high-level representation of the user's intent. When specified, it will trigger our query understanding capabilities and generate a query and filter operator that will be applied to the search parameters.
An operator that will be used to search the targeted collections. The matching operator will count as part of the ranking.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
An operator that will be used to filter the targeted collections. The filtering operator excludes results that do not match the specified criteria.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
- Option 9
- Option 10
- Option 11
- Option 12
- Option 13
Properties selector allows to specify which properties should be included or excluded in the search response. System properties are always included and cannot be excluded. Exclude properties has precedence over include properties.
- Option 1
- Option 2
The properties from the relationships or adjacent records that will be returned in the search response. The wildcard '*' can be used in itself or in combination with a prefix
*will return all traversed properties.@worksAt.*will return all traversed properties from the relationship 'worksAt'.@worksAt.@clinic.*will return all traversed properties from an adjacent 'clinic' connected with a 'worksAt' relationship.